CREATE FUNCTION "DBA"."get_ls_eelmnait"( in a_maksuid integer, in a_kuup date )
RETURNS decimal(15,3)
BEGIN
  declare ldc_eelmnait decimal(15,3);
  select first "ls_kogused"."nait"
    into ldc_eelmnait
    from "ls_kogused"
    where "ls_kogused"."maksuid"=a_maksuid and "ls_kogused"."kuup"<a_kuup
    order by "ls_kogused"."kuup" desc;
  if ldc_eelmnait is null then
    set ldc_eelmnait=0
  end if;
  return ldc_eelmnait;
END